/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Echocardiography Right Ventricle 
 */
public enum EnumCM_EchocardiographyRightVentricle {

	//CID 12204 Echocardiography Right Ventricle 
	RV_STROKE_VOLUME("RV Stroke Volume"),
	RV_CARDIAC_OUTPUT("RV Cardiac Output"),
	RV_CARDIAC_INDEX("RV Cardiac Index"),
	RV_STROKE_INDEX("RV Stroke Index"),
	RIGHT_VENTRICULAR_INTERNAL_DIASTOLIC_DIMENSION("Right Ventricular Internal Diastolic Dimension"),
	RIGHT_VENTRICULAR_INTERNAL_SYSTOLIC_DIMENSION("Right Ventricular Internal Systolic Dimension"),
	RIGHT_VENTRICULAR_INDEX_OF_MYOCARDIAL_PERFORMANCE("Right Ventricular Index of Myocardial Performance"),
	RIGHT_VENTRICULAR_PEAK_SYSTOLIC_PRESSURE("Right Ventricular Peak Systolic Pressure"),
	RIGHT_VENTRICULAR_ANTERIOR_WALL_DIASTOLIC_THICKNESS("Right Ventricular Anterior Wall Diastolic Thickness"),
	RIGHT_VENTRICULAR_ANTERIOR_WALL_SYSTOLIC_THICKNESS("Right Ventricular Anterior Wall Systolic Thickness");
	
	private String value;
	
	EnumCM_EchocardiographyRightVentricle(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
